For the complete documentation index, see llms.txt. This page is also available as Markdown.

GlTable

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getGlTable

post

Retrieve GlTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
GlTableGlTableTypeintegerRequired
Responses
200

Successful operation.

application/json
post/getGlTable
POST /nexum/627/2022.01/parameter/getGlTable HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 158

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlTableGlTableType": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "GlTable": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getGlTable"
}

getGlTableSelectFields

post

Retrieve GlTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
GlTableGlTableTypeintegerOptional
Responses
200

Successful operation.

application/json
post/getGlTableSelectFields
POST /nexum/627/2022.01/parameter/getGlTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 255

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "GlTableGlTableType": 1,
  "SelectableFields": {
    "GlTableFields": {
      "GlTableType": true,
      "Description": true,
      "UsageCode": true
    }
  }
}
200

Successful operation.

{
  "GlTable": {
    "Amount": [],
    "Description": null,
    "GlAccount": [],
    "GlTableType": 1,
    "UsageCode": 0
  },
  "MessageId": "getGlTableSelectFields"
}

getGlTablePagedList

post

Retrieve GlTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getGlTablePagedList
POST /nexum/627/2022.01/parameter/getGlTablePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "GlTable": [],
  "Token": null,
  "MessageId": "getGlTablePagedList"
}

getGlTableListSelectFields

post

Retrieve GlTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getGlTableListSelectFields
POST /nexum/627/2022.01/parameter/getGlTableListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 190

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllGlTableFields": true
  }
}
200

Successful operation.

{
  "GlTableList": [],
  "MessageId": "getGlTableListSelectFields"
}

searchGlTableSelectFields

post

Search GlTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchGlTableSelectFields
POST /nexum/627/2022.01/parameter/searchGlTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 228

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllGlTableFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "GlTableList": [],
  "MessageId": "searchGlTableSelectFields"
}

getGlTablePagedListSelectFields

post

Retrieve GlTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getGlTablePagedListSelectFields
POST /nexum/627/2022.01/parameter/getGlTablePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 311

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "GlTableFields": {
      "GlTableType": true,
      "Description": true,
      "UsageCode": true
    }
  }
}
200

Successful operation.

{
  "GlTable": [
    {
      "Amount": [],
      "Description": null,
      "GlAccount": [],
      "GlTableType": 1,
      "UsageCode": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getGlTablePagedListSelectFields"
}

searchGlTablePagedSelectFields

post

Search GlTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchGlTablePagedSelectFields
POST /nexum/627/2022.01/parameter/searchGlTablePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 322

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "GlTableFields": {
      "GlTableType": true,
      "Description": true,
      "UsageCode": true
    }
  }
}
200

Successful operation.

{
  "GlTable": [
    {
      "Amount": [],
      "Description": null,
      "GlAccount": [],
      "GlTableType": 1,
      "UsageCode": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchGlTablePagedSelectFields"
}

updateGlTableByID

post

Update GlTable parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
GlTableGlTableTypeintegerOptional
Responses
200

Successful operation.

application/json
post/updateGlTableByID
POST /nexum/627/2022.01/parameter/updateGlTableByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 224

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlTableGlTableType": 1,
  "GlTableUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateGlTableByID"
}

Last updated

Was this helpful?